## NMWifiP2PPeer NMWifiP2PPeer |

## Functions

NM80211ApFlags | nm_wifi_p2p_peer_get_flags ()
const char * | nm_wifi_p2p_peer_get_name ()
const char * | nm_wifi_p2p_peer_get_manufacturer ()
const char * | nm_wifi_p2p_peer_get_model ()
const char * | nm_wifi_p2p_peer_get_model_number ()
const char * | nm_wifi_p2p_peer_get_serial ()
GBytes * | nm_wifi_p2p_peer_get_wfd_ies ()
const char * | nm_wifi_p2p_peer_get_hw_address ()
guint8 | nm_wifi_p2p_peer_get_strength ()
int | nm_wifi_p2p_peer_get_last_seen ()
GPtrArray * | nm_wifi_p2p_peer_filter_connections ()
gboolean | nm_wifi_p2p_peer_connection_valid ()

## Types and Values

#define | NM_WIFI_P2P_PEER_FLAGS
#define | NM_WIFI_P2P_PEER_NAME
#define | NM_WIFI_P2P_PEER_MANUFACTURER
#define | NM_WIFI_P2P_PEER_MODEL
#define | NM_WIFI_P2P_PEER_MODEL_NUMBER
#define | NM_WIFI_P2P_PEER_SERIAL
#define | NM_WIFI_P2P_PEER_WFD_IES
#define | NM_WIFI_P2P_PEER_HW_ADDRESS
#define | NM_WIFI_P2P_PEER_STRENGTH
#define | NM_WIFI_P2P_PEER_LAST_SEEN

## Description

## Functions

### nm_wifi_p2p_peer_get_flags ()

    NM80211ApFlags
    nm_wifi_p2p_peer_get_flags (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_name ()

    const char *
    nm_wifi_p2p_peer_get_name (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_manufacturer ()

    const char *
    nm_wifi_p2p_peer_get_manufacturer (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_model ()

    const char *
    nm_wifi_p2p_peer_get_model (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_model_number ()

    const char *
    nm_wifi_p2p_peer_get_model_number (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_serial ()

    const char *
    nm_wifi_p2p_peer_get_serial (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_wfd_ies ()

    GBytes *
    nm_wifi_p2p_peer_get_wfd_ies (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_hw_address ()

    const char *
    nm_wifi_p2p_peer_get_hw_address (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_strength ()

    guint8
    nm_wifi_p2p_peer_get_strength (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_get_last_seen ()

    int
    nm_wifi_p2p_peer_get_last_seen (NMWifiP2PPeer *peer);

### nm_wifi_p2p_peer_filter_connections ()

    GPtrArray *
    nm_wifi_p2p_peer_filter_connections (NMWifiP2PPeer *peer,
                                         const GPtrArray *connections);

### nm_wifi_p2p_peer_connection_valid ()

    gboolean
    nm_wifi_p2p_peer_connection_valid (NMWifiP2PPeer *peer,
                                       NMConnection *connection);

## Types and Values

### NM_WIFI_P2P_PEER_FLAGS

    #define NM_WIFI_P2P_PEER_FLAGS        "flags"

### NM_WIFI_P2P_PEER_NAME

    #define NM_WIFI_P2P_PEER_NAME         "name"

### NM_WIFI_P2P_PEER_MANUFACTURER

    #define NM_WIFI_P2P_PEER_MANUFACTURER "manufacturer"

### NM_WIFI_P2P_PEER_MODEL

    #define NM_WIFI_P2P_PEER_MODEL        "model"

### NM_WIFI_P2P_PEER_MODEL_NUMBER

    #define NM_WIFI_P2P_PEER_MODEL_NUMBER "model-number"

### NM_WIFI_P2P_PEER_SERIAL

    #define NM_WIFI_P2P_PEER_SERIAL       "serial"

### NM_WIFI_P2P_PEER_WFD_IES

    #define NM_WIFI_P2P_PEER_WFD_IES      "wfd-ies"

### NM_WIFI_P2P_PEER_HW_ADDRESS

    #define NM_WIFI_P2P_PEER_HW_ADDRESS   "hw-address"

### NM_WIFI_P2P_PEER_STRENGTH

    #define NM_WIFI_P2P_PEER_STRENGTH     "strength"

### NM_WIFI_P2P_PEER_LAST_SEEN

    #define NM_WIFI_P2P_PEER_LAST_SEEN    "last-seen"